Bug 670119 - [Patch] [abrt] crash in evolution-2.30.1-8.fc13: raise: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
[Patch] [abrt] crash in evolution-2.30.1-8.fc13: raise: Process /usr/bin/evol...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openchange (Show other bugs)
6.0
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: EasyFix, Patch
Depends On: 602661
Blocks: 960054
  Show dependency treegraph
 
Reported: 2011-01-17 04:26 EST by Milan Crha
Modified: 2013-05-23 16:20 EDT (History)
14 users (show)

See Also:
Fixed In Version: openchange-1.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 602661
Environment:
Last Closed: 2013-05-21 15:51:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milan Crha 2011-01-17 04:26:12 EST
I would like to propose a patch inclusion to openchange from one fedora bug, which is fixing a semi-random crash when using evolution-mapi. The code contains an obvious error, and is fixed by a one-liner patch.

+++ This bug was initially created as a clone of Bug #602661 +++

abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: evolution
comment: Trying to configure evolution-mapi -- crashes shortly after providing the login information and clicking "Authenticate."
component: evolution
crash_function: raise
executable: /usr/bin/evolution
global_uuid: 6f357f4f5516e9190bc78f415d0f70f70bdc9ad3
kernel: 2.6.33.5-112.fc13.x86_64
package: evolution-2.30.1-8.fc13
rating: 4
reason: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

--- Additional comment from icon@fedoraproject.org on 2010-06-10 08:36:37 EDT ---

Created attachment 422889 [details]
File: backtrace

--- Additional comment from jeff.raber@gmail.com on 2010-10-05 16:45:27 EDT ---

Reassigned to openchange as the crash is happening in libmapi.

The error only occurs when the credentials and server name supplied are valid, but the server entered is not the 'correct' MAPI server for that user.  This results in a call to FindGoodServer() which has a bug causing the 'double free' mentioned in the backtrace.  

My guess is that simply removing line 97 in IMAPISession.c should resolve this error by not freeing SRowSet until line 109.

(Disclaimer: I am not a programmer.)

--- IMAPISession.c	2009-12-21 06:13:28.000000000 -0600
+++ IMAPISession.c-new	2010-10-05 15:00:00.985162212 -0500
@@ -94,7 +94,6 @@
 	MAPIFreeBuffer(SPropTagArray);
 	MAPIFreeBuffer(MId_array);
 	MAPIFreeBuffer(server_dn);
-	MAPIFreeBuffer(SRowSet);
 	OPENCHANGE_RETVAL_IF(retval, retval, mem_ctx);
 
 	/* Step 5. Extract host from ncacn_ip_tcp binding string */

--- Additional comment from updates@fedoraproject.org on 2010-12-02 14:10:57 EST ---

openchange-0.9-9.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openchange'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/openchange-0.9-9.fc14

--- Additional comment from updates@fedoraproject.org on 2010-12-10 15:30:23 EST ---

openchange-0.9-9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from updates@fedoraproject.org on 2011-01-05 03:41:18 EST ---

openchange-0.9-6.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/openchange-0.9-6.fc13
Comment 2 RHEL Product and Program Management 2011-01-17 04:58:26 EST
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 9 RHEL Product and Program Management 2011-07-05 20:22:43 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Note You need to log in before you can comment on or make changes to this bug.